package OpenPgm;

use 5.008;
use strict;
use warnings;

require Exporter;

our @ISA = qw(Exporter);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use OpenPgm ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
	
);

our $VERSION = '0.01';

sub dl_load_flags { $^O eq 'darwin' ? 0x00 : 0x01 }

require XSLoader;
XSLoader::load('OpenPgm', $VERSION);

# Preloaded methods go here.

package OpenPgm::Transport::addrinfo;

use Socket qw(:all);

sub new {
	my $type = shift;
	my $self = {family=>0};
	my %params = @_;
	@$self{keys %params} = values %params;

	bless $self, $type;
}

sub family {
	my $self = shift;

	if (@_) {
		$self->{family} = int(shift);
	}
	return $self->{family};
}

sub stringify {
	my $self = shift;
	my $dstr;

	$dstr .= "{\n";
	my $family = $self->family;
	$family = (($family == AF_UNSPEC) ? "AF_UNSPEC" : 
		(($family == AF_INET) ? "AF_INET" : 
		(($family == AF_INET6) ? "AF_INET6" : "Unknown")));
	$dstr .= "\tai_family = $family\n"; 
	$dstr .= "}\n";

	return $dstr;
}

package OpenPgm;

1;
__END__
# Below is stub documentation for your module. You'd better edit it!

=head1 NAME

OpenPgm - Perl extension for blah blah blah

=head1 SYNOPSIS

  use OpenPgm;
  blah blah blah

=head1 DESCRIPTION

Stub documentation for OpenPgm, created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

Blah blah blah.

=head2 EXPORT

None by default.



=head1 SEE ALSO

Mention other useful documentation such as the documentation of
related modules or operating system documentation (such as man pages
in UNIX), or any relevant external documentation such as RFCs or
standards.

If you have a mailing list set up for your module, mention it here.

If you have a web site set up for your module, mention it here.

=head1 AUTHOR

Steven McCoy, E<lt>steven.mccoy@miru.hkE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2009 by Steven McCoy

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.10.0 or,
at your option, any later version of Perl 5 you may have available.


=cut
